#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	augeas
Summary:	Python 2.x bindings to augeas
Summary(pl.UTF-8):	Wiązania Pythona 2.x do augeasa
Name:		python-%{module}
Version:	0.5.0
Release:	12
License:	LGPL v2.1+
Group:		Libraries/Python
Source0:	https://fedorahosted.org/released/python-augeas/%{name}-%{version}.tar.gz
# Source0-md5:	2d5a903467410b8d60abca5fa54bae2d
URL:		http://augeas.net/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python-devel
%endif
%if %{with python3}
BuildRequires:	python3-devel
%endif
# library is dlopened
Requires:	augeas-libs
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pure Python bindings to augeas, built for Python 2.x.

%description -l pl.UTF-8
Czysto pythonowe wiązania do augeasa, zbudowane dla Pythona 2.x.

%package -n python3-%{module}
Summary:	Python 3.x bindings to augeas
Summary(pl.UTF-8):	Wiązania Pythona 3.x do augeasa
Group:		Libraries/Python

%description -n python3-%{module}
Pure Python bindings to augeas, built for Python 3.x.

%description -n python3-%{module} -l pl.UTF-8
Czysto pythonowe wiązania do augeasa, zbudowane dla Pythona 3.x.

%prep
%setup -q

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS README.txt
%{py_sitescriptdir}/augeas.py[co]
%{py_sitescriptdir}/python_augeas-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS README.txt
%{py3_sitescriptdir}/augeas.py
%{py3_sitescriptdir}/__pycache__/augeas.cpython-*.py[co]
%{py3_sitescriptdir}/python_augeas-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-augeas.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> d2ef543
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 25a88db
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 2522442
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 87cb285
- release 9 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> ab343b0
- rebuild with python 3.8
- release 8 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 84e3dba
- python 3.7 rebuild
- release 7 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ee6101
- python 3.6
- release 6 (by relup.sh)

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> f2a0411
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 029d296
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 84484de
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7e67b24
- automatic change: use py_build/py_install macros

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 14c8233
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0448141
- python 3.4
- release 2 (by relup.sh)

* Sun Sep 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 90f7798
- updated to 0.5.0
- removed obsolete python3 patch

* Fri Jan 17 2014 Jakub Bogusz <qboosh@pld-linux.org> 6fd319d
- mention python version in descriptions

* Tue Jan 14 2014 Elan Ruusamäe <glen@delfi.ee> f2fdf38
- add git diff; python3 builds

* Tue Jan 14 2014 Elan Ruusamäe <glen@delfi.ee> 9228012
- up to 0.4.1; add python3 package

* Wed Jul 20 2011 Jakub Bogusz <qboosh@pld-linux.org> b2319e4
- new

